I moved several SLES 10 SP3 servers to SP4 in the last weeks (some of them
OES2) - there where some minor problems but it worked.

Today while updating the last four servers I ran into problems. I used the
rug procedure from TID 7008357; step "rug in -t patch move-to-sles10-sp4"
was successful - but then I get the following (on all four servers!):

s1:~ # rug up -t patch
Resolving Dependencies...

ERROR: Dependency resolution failed:
Unresolved dependencies:
product:SUSE_SLES_SP3-10.3-1.i386[System packages] provides SUSE-Linux-
Enterprise-Server-SP3-fromSP2 == 10.3-0, but is scheduled to be uninstalled.
product:SUSE_SLES_SP3-10.3-1.i386[SLES10-SP3-Online] provides SUSE-Linux-
Enterprise-Server-SP3-fromSP2 == 10.3-0, but it is uninstallable. Try
installing it on its own for more details.
There are no installable providers of SUSE-Linux-Enterprise-Server-SP3-
fromSP2 for script:move-to-sles10-sp3-script.sh-0-26.noarch[System packages]
Establishing script:move-to-sles10-sp3-script.sh-0-26.noarch[System
packages]
This would invalidate script:move-to-sles10-sp3-script.sh-0-26.noarch[System
packages].
Marking this resolution attempt as invalid.


Any ideas what went wrong and what to do?

Thanks,
Mirko